﻿Инструкция по замене платы УМФ300.20 на УМФ300.29
=================================================

Общие сведения
--------------

Плата УМФ300.29 - плата (электронный модуль), разработанная для замены устаревшей модели УМФ300.20, имеющая схожие технические характеристики.

Отличие плат УМФ300.20 и УМФ300.29:
```
- напряжение питания платы:
    УМФ300.20 - от 15 до 24 В
    УМФ300.29 - от 24 до 48 В (Внимание! Меньшие напряжения могут повлечь выход платы из строя)
- используемый протокол для связи:
    УМФ300.20 - протокол связи УМФ300 (модуль ComNicmi.dll для ПО MLevel)
    УМФ300.29 - протокол связи УМФ700 (модуль Comm700.dll для ПО MLevel),
                есть также возможность эмулировать протокол связи УМФ300 (см. ниже)
- способ установки тока чувствительного элемента:
    УМФ300.20 - механический, с помощью перемычек (джамперов) на плате
    УМФ300.29 - программный, с помощью ПО MLevel, контроллера УМФ700.26 или сервисного ПО от НИЦМИ.
```

Платы УМФ300.29 имеют две специальные маркировки:
1) УМФ300.29-1 - наклейка с цифрой "1" (в ранних выпусках отсутствовала) - режим работы по умолчанию по протоколу УМФ700.
2) УМФ300.29-2 - наклейка с цифрой "2" - работа в режиме эмуляции платы УМФ300.20 (протокола УМФ300), только при варианте использования с контроллером УМФ300.25 (см. ниже)

ПО MLevel - программное обеспечение "Многоуровневые измерения".

Возможные варианты использования платы УМФ300.20 со вторичным оборудованием:
----------------------------------------------------------------------------
1. с компьютером (через COM-порт и конвертор RS232-RS485), с использованием ПО MLevel для связи (через модуль связи ComNicmi.dll).
2. с контроллером УМФ300.25 (вторичный прибор).
3. с контроллером УМФ700.26 (с дисплеем) (вторичный прибор).

Действия по замене плат УМФ300.20 на УМФ300.29 для вышеперечисленных вариантов
------------------------------------------------------------------------------
Вариант №1
----------
Замена платы при варианте использования с компьютером и ПО MLevel.

Требования
----------
1) Плата УМФ300.29 должна иметь маркировку "1" (либо идти без маркировки - в ранних выпусках)
2) Для платы УМФ300.29 должно быть обеспечено питание постоянного тока напряжением от 24 до 48 В.
Внимание! Меньшие напряжения (15 В) могут повлечь выход платы из строя.
3) Для ПО MLevel необходим модуль связи Comm700.dll, который нужно предварительно скачать с сайта www.nicmi.ru, идет вместе с настоящей инструкцией.

Порядок работ
-------------
1) Закрыть программу MLevel
2) Отредактировать файл nicmi.ini:
На примере:
```
[Tank 4]
system=4
name=РВС-1
[System 4]
port=1005
```

В примере выше Танк РВС-1 работает с Системой измерения №4 (поле system=4), которая использует порт COM5 (1000 - виртуальный номер, означающий, что система типа УМФ300 - модуль связи ComNicmi.dll)

В данном примере необходимо поменять 1000 -> 3000, что должно получиться:
```
[Tank 4]
system=4
name=РВС-1
[System 4]
port=3005
```
Нужно найти Систему (секцию вида [System N]), которая имеет ключ вида "port=100N", означающий настоящий номер N COM-порта (например COM4) + число 1000 (означающее, что эта система работает через модуль ComNicmi, т.е. это плата УМФ300.20) и поменять тип системы 1000 на 3000, т.е. 3000 + номер COM-порта.
Число 3000 означает, что система теперь типа УМФ700 - и работает через модуль связи Comm700.dll.

3) положить файл Comm700.dll в папку C:\MLevel\dlls (путь по умолчанию для модулей программы MLevel)

4) Поменять местами провода A и B (RS485) на одном из клеммников к плате УМФ300.29 (Маркировка RS485 A/B платы УМФ300.29 отличается от УМФ300.20).

5) Подключить плату согласно действующей схеме подключения.

6) Запустить программу MLevel, открыть меню Окна -> Танк (порт = NNN) (COM-порт который был в п.2 редактировании nicmi.ini).
В появившемся окне удостовериться, что приходят данные и есть надпись "Плата УМФ300.29 № NNNN" (номер обычно свыше 3000 для плат УМФ300.29)

Особенности
-----------
Программа MLevel может сообщить об ошибке вида "Ошибка токена: файл с данными не найден". Это происходит из-за того, что номер платы NNNN не прописан в красном USB-токене, и в токен не записан нужный файл шаблона системных параметров .ini. Необходимо загрузить шаблон параметров в токен используя программу MkToken (при возникновении вопросов, свяжитесь со специалистами ООО НИЦМИ)

Вариант №2
----------
Замена платы при варианте использования с контроллером УМФ300.25

Требования и порядок работ
--------------------------
1) Плата УМФ300.29 должна иметь маркировку "2"
2) Для платы УМФ300.29 должно быть обеспечено питание постоянного тока напряжением от 24 до 48 В.
Максимальное напряжение работы контроллера УМФ300.25 - 24 В.
3) Поменять местами провода A и B (RS485) на одном из клеммников к плате УМФ300.29 (Маркировка RS485 A/B платы УМФ300.29 отличается от УМФ300.20)
4) Подключите плату к контроллеру УМФ300.25, согласно действующей схеме подключения.


Вариант №3
----------
Замена платы при варианте использования с контроллером УМФ700.26 (с дисплеем)

Требования и порядок работ
--------------------------
1) Плата УМФ300.29 должна иметь маркировку "1" (либо идти без маркировки - в ранних выпусках)
2) Для платы УМФ300.29 должно быть обеспечено питание постоянного тока напряжением от 24 до 48 В.
Внимание: максимальное напряжение работы контроллера УМФ700.26 может отличаться, на ранних версиях составляло 15 В.
В действующей модификации (с 2017 года) рекомендуемый диапазон напряжения составляет от 24 до 48 В (как у плат УМФ700.20 и УМФ300.29).
3) Подключите плату к контроллеру УМФ700.26, согласно действующей схеме подключения.
